Bug 139719 - PATCH: Kopete crashes when not connecting to any network after initial configuration
Summary: PATCH: Kopete crashes when not connecting to any network after initial config...
Status: RESOLVED FIXED
Alias: None
Product: kopete
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Kopete Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-07 12:52 UTC by Christian Blichmann
Modified: 2007-01-18 22:04 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch for the bug (425 bytes, patch)
2007-01-16 20:21 UTC, Felix
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Blichmann 2007-01-07 12:52:24 UTC
Version:            (using KDE KDE 3.5.5)
Installed from:    Debian testing/unstable Packages
OS:                Linux

After completing most of the initial wizard that pops up when you first start Kopete, I unchecked "Connect now", since I didn't remember my ICQ number exactly (wanted to search for it first). After the first click on "Finish", nothing happened. A second click got me the crash message.

KCrash Backtrace follows:

(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found) <-- multiple times
[Thread debugging using libthread_db enabled]
[New Thread -1240660288 (LWP 3339)]
(no debugging symbols found)
(no debugging symbols found) <-- multiple times
[KCrash handler]
#9  0xb7e44796 in Kopete::Password::set () from /usr/lib/libkopete.so.1
#10 0xb7eb36b2 in Kopete::UI::PasswordWidget::save ()
   from /usr/lib/libkopete.so.1
#11 0xb5b4f50a in ICQEditAccountWidget::apply ()
   from /usr/lib/kde3/kopete_icq.so
#12 0x08083f6c in AddAccountWizard::staticMetaObject ()
#13 0xb6cb6cce in QDialog::qt_invoke () from /usr/lib/libqt-mt.so.3
#14 0xb6cbb1f1 in QWizard::qt_invoke () from /usr/lib/libqt-mt.so.3
#15 0xb722453b in KWizard::qt_invoke () from /usr/lib/libkdeui.so.4
#16 0x08083c03 in AddAccountWizard::staticMetaObject ()
#17 0xb68fed4f in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#18 0xb68ff7e0 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#19 0xb6c90ddb in QButton::clicked () from /usr/lib/libqt-mt.so.3
#20 0xb699bcea in QButton::mouseReleaseEvent () from /usr/lib/libqt-mt.so.3
#21 0xb69356f0 in QWidget::event () from /usr/lib/libqt-mt.so.3
#22 0xb6896c26 in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#23 0xb6898dc9 in QApplication::notify () from /usr/lib/libqt-mt.so.3
#24 0xb7047e0e in KApplication::notify () from /usr/lib/libkdecore.so.4
#25 0xb682a495 in QApplication::sendSpontaneousEvent ()
   from /usr/lib/libqt-mt.so.3
#26 0xb682912f in QETWidget::translateMouseEvent () from /usr/lib/libqt-mt.so.3
#27 0xb68276b0 in QApplication::x11ProcessEvent () from /usr/lib/libqt-mt.so.3
#28 0xb683dd02 in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#29 0xb68b1179 in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
#30 0xb689873d in QApplication::enter_loop () from /usr/lib/libqt-mt.so.3
#31 0xb6ab2175 in QDialog::exec () from /usr/lib/libqt-mt.so.3
#32 0x08073353 in ?? ()
#33 0x0824d668 in ?? ()
#34 0x08143610 in ?? ()
#35 0x080bb426 in _IO_stdin_used ()
#36 0x00000001 in ?? ()
#37 0x00000001 in ?? ()
#38 0xb6dc3da4 in ?? () from /usr/lib/libqt-mt.so.3
#39 0xbff137f8 in ?? ()
#40 0x009496dd in ?? ()
#41 0x08116890 in ?? ()
#42 0x08116780 in ?? ()
#43 0x01f13808 in ?? ()
#44 0xb6be218f in QCString::~QCString () from /usr/lib/libqt-mt.so.3
#45 0x08073528 in ?? ()
#46 0xbff13edc in ?? ()
#47 0x0821dea8 in ?? ()
#48 0xbff13858 in ?? ()
#49 0xb6dc3da4 in ?? () from /usr/lib/libqt-mt.so.3
#50 0x080734b0 in ?? ()
#51 0x00000000 in ?? ()
Comment 1 Felix 2007-01-16 20:21:39 UTC
Created attachment 19305 [details]
Patch for the bug

Here is the patch.
My first patch for :-)
Comment 2 Will Stephenson 2007-01-18 22:04:34 UTC
SVN commit 625072 by wstephens:

Catch the empty ICQ UIN case when creating an account, which would crash Kopete.  Patch by Felix <fe_kde@gmx.de>, received with thanks :).
BUG:139719


 M  +1 -1      icqeditaccountwidget.cpp  


--- branches/KDE/3.5/kdenetwork/kopete/protocols/oscar/icq/ui/icqeditaccountwidget.cpp #625071:625072
@@ -166,7 +166,7 @@
 
 	QString userName = mAccountSettings->edtAccountId->text();
 
-	if (userName.contains(" ")) 
+	if (userName.isEmpty())
 		return false;
 
 	for (unsigned int i=0; i<userName.length(); i++)